org.apache.ode.bpel.evt

## Class BpelEvent

- java.lang.Object
- - org.apache.ode.bpel.evt.BpelEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ProcessEvent

      public abstract class BpelEvent
      extends java.lang.Object
      implements java.io.Serializable

  Base interface for all bpel events.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BpelEvent.TYPE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `EventContext` | `eventContext` Bpel Event Context.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelEvent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `eventName(BpelEvent event)`
    `int` | `getLineNo()`
    `java.util.Date` | `getTimestamp()`
    `abstract BpelEvent.TYPE` | `getType()`
    `void` | `setLineNo(int lineNo)`
    `void` | `setTimestamp(java.util.Date tstamp)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### eventContext

          public transient EventContext eventContext

      Bpel Event Context. In Event Listeners, use this to get Variable Data

  - ### Constructor Detail

    - #### BpelEvent

          public BpelEvent()

  - ### Method Detail

    - #### getLineNo

          public int getLineNo()

    - #### setLineNo

          public void setLineNo(int lineNo)

    - #### getTimestamp

          public java.util.Date getTimestamp()

    - #### setTimestamp

          public void setTimestamp(java.util.Date tstamp)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### eventName

          public static java.lang.String eventName(BpelEvent event)

    - #### getType

          public abstract BpelEvent.TYPE getType()